<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>IRISUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.iris, class: IRISUtil">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></div>
<h1 title="Class IRISUtil" class="title">Class IRISUtil</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.iciObjects.iris.IRISUtil</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">IRISUtil</span>
extends java.lang.Object</pre>
<div class="block">Useful tools to analyze IRIS.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">IRISUtil</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#addIRISCentroid(java.io.File,java.lang.String,java.io.File,java.lang.String)">addIRISCentroid</a></span>&#8203;(java.io.File&nbsp;inputCSV,
java.lang.String&nbsp;fieldRefCSV,
java.io.File&nbsp;irisGeoFile,
java.lang.String&nbsp;fieldRefGeoFile)</code></th>
<td class="col-last">
<div class="block">Add the centroïd of an IRIS to a .csv File</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#summarizeIRIS(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.io.File)">summarizeIRIS</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv,
java.io.File&nbsp;outputFile)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>IRISUtil</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">IRISUtil</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="summarizeIRIS(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.util.List,java.util.List,java.io.File)">
<h3>summarizeIRIS</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">summarizeIRIS</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="../WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.util.List&lt;<a href="../BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv,
java.io.File&nbsp;outputFile)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="addIRISCentroid(java.io.File,java.lang.String,java.io.File,java.lang.String)">
<h3>addIRISCentroid</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">addIRISCentroid</span>&#8203;(<span class="parameters">java.io.File&nbsp;inputCSV,
java.lang.String&nbsp;fieldRefCSV,
java.io.File&nbsp;irisGeoFile,
java.lang.String&nbsp;fieldRefGeoFile)</span>
                                    throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Add the centroïd of an IRIS to a .csv File</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>inputCSV</code> - .csv file</dd>
<dd><code>fieldRefCSV</code> - IRIS code in .csv</dd>
<dd><code>irisGeoFile</code> - IRIS's geo file</dd>
<dd><code>fieldRefGeoFile</code> - IRIS code in geo file</dd>
<dt>Returns:</dt>
<dd>the .csv file with IRIS coordinates added</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading and writing files</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
